var usr1='default';

/**
 * Perform custom preprocessing or actions before submitting form. 
 * Common presubmission tasks include form validation and 
 * preprocessing of form data.
 * 
 * @param {boolean} true if all OK to proceed with form submission; 
 *                  false implies terminate form submission process
 * @param {Object} data results of form processing; error message if isSuccess == false
 * @return {boolean} true if OK; otherwise false
 */
phoneui.preSubmitForm_m1_Patrol = function(form) {
  // add custom presubmission code here, e.g., form validation & error handling
  // return false to terminate form submission
  return true;
}

/**
 * Perform custom actions upon return from form submission.
 * 
 * @param {boolean} isSuccess true if all OK; otherwise false
 * @param {Object} data results of form processing; error message if isSuccess == false
 * @return {boolean} true if OK; otherwise false
 */
phoneui.postSubmitForm_m1_Patrol = function(isSuccess, data) {
  // add custom postubmission processing code here,
  // e.g., parse and process results & update UI controls with data as needed
  // return false to terminate form processing
  var result = true;
   if (isSuccess) {
   //alert(data);
     if (data = "Success")
    {
      //navigator.notification.vibrate(200);
      navigator.notification.beep(1);
      $('#m1-Patrol-snap').attr('src','images/cameralogo.png');
      alert("Saved Successful !");   
    }
    else
    {
    alert("Warning ! Check Internet Connection");
    }
    result = true;
  } else {
    // submit failed
    // data = error msg
    result = false;
  }
  return result;

}

/**
 * Perform custom preprocessing or actions before submitting form. 
 * Common presubmission tasks include form validation and 
 * preprocessing of form data.
 * 
 * @param {boolean} true if all OK to proceed with form submission; 
 *                  false implies terminate form submission process
 * @param {Object} data results of form processing; error message if isSuccess == false
 * @return {boolean} true if OK; otherwise false
 */
phoneui.preSubmitForm_m1_loginPatrol = function(form) {
  // add custom presubmission code here, e.g., form validation & error handling
  // return false to terminate form submission
   $('#m1-Patrol-username').val($('#m1-loginPatrol-myUsername').val()); 
  
return true;
}

/**
 * Perform custom actions upon return from form submission.
 * 
 * @param {boolean} isSuccess true if all OK; otherwise false
 * @param {Object} data results of form processing; error message if isSuccess == false
 * @return {boolean} true if OK; otherwise false
 */
phoneui.postSubmitForm_m1_loginPatrol = function(isSuccess, data) {
  // add custom postubmission processing code here,
  // e.g., parse and process results & update UI controls with data as needed
  // return false to terminate form processing
 var result = true;
  
  if (isSuccess) 
  {
   if (data === "Success")
    {
        result = true;
        
        phoneui.gotoScreen('m1-Patrol', 'SLIDE_LEFT');
    }
    else 
   {
      result = false;
      alert('Incorrect PIN, Please Register !'); 
   }
 
  }
  
 
  return result;

}

/**
 * Notification that the UI is about to transition to a new screen.
 * Perform custom prescreen-transition logic here.
 * @param {String} currentScreenId 
 * @param {String} targetScreenId 
 * @returns {boolean} true to continue transtion; false to halt transition
 */
phoneui.prePageTransition = function(currentScreenId,targetScreenId) {
  // add custom pre-transition code here
  // return false to terminate transition
  return true;
}

/**
 * Notification that the UI has transitioned to a new screen.
 * 
 * @param {String} newScreenId 
 */
phoneui.postPageTransition = function(newScreenId) {
  
}

/**
 * Notification that device orientation has changed. 
 * 
 * @param {String} newOrientation 
 */
phoneui.postOrientationChange = function(newOrientation) {
  
}

/**
 * Called when document is loaded.
 */
phoneui.documentReadyHandler = function() {
  
  
document.addEventListener("backbutton", function() {
  alert('Back Button is disabled !');
}, false);

//document.addEventListener("backbutton", onBackKeyDown, false);
//function onBackKeyDown() {
//return false;
//}

document.addEventListener("menubutton", onMenueKeyDown, false);
function onMenueKeyDown() {
alert('menu key pressed');
  return false;
}
  
//$('#m1-Patrol-checkin').css('visibility', 'visible');
//$('#m1-Patrol-checkout').css('visibility', 'hidden');
  
document.addEventListener("deviceready", function() {
$('#m1-loginPatrol-myPassword').val(window.device.uuid);
$('#m1-patrolRegister-secretKey').val(window.device.uuid);
$('#m1-Patrol-deviceid').val(window.device.uuid);
}, false);

//$('#m1-Patrol-button1').css('visibility', 'visible');
//$('#m1-Patrol-button2').css('visibility', 'hidden');
//$('#m1-loginPatrol-myPassword').val(window.device.uuid);


////////////////
var zm = localStorage.getItem('isChecked');
if(zm==0)
{
$('#m1-Patrol-myBut').css('background','#0095FE' );
$('#m1-Patrol-myBut').text('Checkin');
}
else
{
$('#m1-Patrol-myBut').css('background','#980000');
$('#m1-Patrol-myBut').text('Checkout');
}
////////////////
}
  
  

  
   function snap()
  {
  
  /*
  //// set google map current location details
   var geoonSuccess = function(position) {
   $('#m1-Patrol-checkin_latlon').val(position.coords.latitude+','+position.coords.longitude);
   //$('#m1-report-lat').val();
 //  $('#m1-report-reported_by').val($('#m1-login-myUsername').val()); //set reportedby username
   //$('#m1-report-date').val(new Date(position.timestamp));
 };
      

// geoonError Callback
var geoonError = function() {
    alert('Error fetching map location!');
};

navigator.geolocation.getCurrentPosition(geoonSuccess, geoonError);
/// end google map current location details 
  */
  
  // Take picture using device camera and retrieve image as base64-encoded string 
     
    var pictureSource;   // picture source
    var destinationType; // sets the format of returned value
  
    navigator.camera.getPicture(onPhotoDataSuccess, onFail, { quality: 25, destinationType: Camera.DestinationType.DATA_URL });
      
    function onPhotoDataSuccess(imageData) {
    var snapped = "data:image/jpeg;base64," + imageData;
    $('#m1-Patrol-base64').val(imageData);  // assign url to base64
    $('#m1-Patrol-snap').attr('src', snapped); //show image after snap
      navigator.notification.vibrate(50);
    }//end onPhotoDataSuccess

    function onFail(message) {
    //alert('Failed because: ' + message);
    }
  
    } // end snap() function

      
      
            
function f_checkin()
   {
      //usr1 = $('#m1-Patrol-username').val();
   var geoonSuccess = function(position) {
      
   $('#m1-Patrol-latlon').val($('#m1-Patrol-username').val()+','+'checkin'+','+position.coords.latitude+','+position.coords.longitude);

phoneui.submitForm('m1_Patrol');
navigator.notification.vibrate(100);
//$('#m1-Patrol-latlon').val($('#m1-Patrol-username').val()+','+'checkin'+','+position.coords.latitude+','+position.coords.longitude);   
//$('#m1-report-lat').val();
 //  $('#m1-report-reported_by').val($('#m1-login-myUsername').val()); //set reportedby username
   //$('#m1-report-date').val(new Date(position.timestamp));
 };
      
// geoonError Callback
var geoonError = function() {
    alert('Error fetching map location!');
};

      
      navigator.geolocation.getCurrentPosition(geoonSuccess, geoonError);
/// end google map current location details 

 }

   
   function f_checkout()
   {

   //usr1 = $('#m1-loginPatrol-myUsername').val();
   var geoonSuccess = function(position) {
   $('#m1-Patrol-latlon').val($('#m1-Patrol-username').val()+','+'checkout'+','+position.coords.latitude+','+position.coords.longitude);

phoneui.submitForm('m1_Patrol');
navigator.notification.vibrate(100);
//$('#m1-Patrol-latlon').val($('#m1-Patrol-username').val()+','+'checkout'+','+position.coords.latitude+','+position.coords.longitude);   
//$('#m1-report-lat').val();
 //  $('#m1-report-reported_by').val($('#m1-login-myUsername').val()); //set reportedby username
   //$('#m1-report-date').val(new Date(position.timestamp));
 };
      
// geoonError Callback
var geoonError = function() {
    alert('Error fetching map location!');
};

   
   navigator.geolocation.getCurrentPosition(geoonSuccess, geoonError);
/// end google map current location details 

 }
        
        
/**
 * Perform custom preprocessing or actions before submitting form. 
 * Common presubmission tasks include form validation and 
 * preprocessing of form data.
 * 
 * @param {boolean} true if all OK to proceed with form submission; 
 *                  false implies terminate form submission process
 * @param {Object} data results of form processing; error message if isSuccess == false
 * @return {boolean} true if OK; otherwise false
 */
phoneui.preSubmitForm_m1_patrolRegister = function(form) {
  // add custom presubmission code here, e.g., form validation & error handling
  // return false to terminate form submission
  return true;
}

/**
 * Perform custom actions upon return from form submission.
 * 
 * @param {boolean} isSuccess true if all OK; otherwise false
 * @param {Object} data results of form processing; error message if isSuccess == false
 * @return {boolean} true if OK; otherwise false
 */
phoneui.postSubmitForm_m1_patrolRegister = function(isSuccess, data) {
  
var result = true;
  
  if (isSuccess) 
  {
   if (data === "Success")
    {
        result = true;
      navigator.notification.vibrate(200);  
      alert("Request Sent Successfully!");
      
        //phoneui.gotoScreen('m1-Patrol', 'SLIDE_LEFT');
    }
    else 
   {
      result = false;
      alert("Warning ! Device already registered ! Please try using other mobile");
      phoneui.gotoScreen('m1-loginPatrol', 'SLIDE_LEFT');
   }
 
  }
  return result;

}

  //using local storate for checkin and checkout
  
//function set(abc,a) {
//localStorage.setItem(abc,a); //saves to the database, key/value
//}
  
  
//function get(abc) {
//document.getElementById('m1-yourscreenname-text1').innerHTML = localStorage.getItem(str); //fetches the value and sets it as text1's innerHTML
//}
  
  
